#pragma once

#include "../mycontextbase.h"

class CSettings : public CMyContextBase
{
	DECLARE_DYNCREATE(CSettings);

public:

	//атрибуты

	CSettings();
	virtual ~CSettings();
	
	BOOL funcGet(CValue &RetVal, CValue **params);
	BOOL procSet(CValue **params);

	// service
	LPCSTR ResolveKey(LPCSTR key);
	LPCSTR ResolveKey(CValue *cvKey);
private:
		
	// используется для хранения методов без указания ключа
	static LPCSTR m_voidKey;

public:

	DECLARE_MY_CONTEXT();
};
